RDKit: RDKit::CIPLabeler::Configuration Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
RDKit::CIPLabeler::Configuration Class Referenceabstract

`#include <Configuration.h>`

Inheritance diagram for RDKit::CIPLabeler::Configuration:

## Public Member Functions
| Configuration ()=delete
| Configuration (const CIPMol &mol, Atom *focus)
| Configuration (const CIPMol &mol, std::vector< Atom * > &&foci, bool atropisomerMode=false)
virtual | ~Configuration ()
Atom * | getFocus () const
const std::vector< Atom * > & | getFoci () const
const std::vector< Atom * > & | getCarriers () const
Digraph & | getDigraph ()
virtual Descriptor | label (Node *node, Digraph &digraph, const Rules &comp)
virtual Descriptor | label (const Rules &comp)=0
virtual void | setPrimaryLabel (Descriptor desc)=0
virtual bool | hasPrimaryLabel () const =0
virtual void | resetPrimaryLabel () const =0

## Static Public Member Functions
template<typename T>
static int | parity4 (const std::vector< T > &trg, const std::vector< T > &ref)

## Protected Member Functions
Edge * | findInternalEdge (const std::vector< Edge * > &edges, Atom *f1, Atom *f2)
bool | isInternalEdge (const Edge *edge, Atom *f1, Atom *f2)
void | removeInternalEdges (std::vector< Edge * > &edges, Atom *f1, Atom *f2)
bool | isDuplicateOrHydrogenEdge (const Edge *edge)
void | removeDuplicatesAndHs (std::vector< Edge * > &edges)
void | setCarriers (std::vector< Atom * > &&carriers)

## Detailed Description

Definition at line 33 of file Configuration.h.

## Constructor & Destructor Documentation

## ◆ Configuration() [1/3]

RDKit::CIPLabeler::Configuration::Configuration | ( |  | ) |
| delete

## ◆ Configuration() [2/3]

RDKit::CIPLabeler::Configuration::Configuration | ( | const CIPMol & | mol,
|  | Atom * | focus )

## ◆ Configuration() [3/3]

RDKit::CIPLabeler::Configuration::Configuration | ( | const CIPMol & | mol,
|  | std::vector< Atom * > && | foci,
|  | bool | atropisomerMode = false )

## ◆ ~Configuration()

virtual RDKit::CIPLabeler::Configuration::~Configuration | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ findInternalEdge()

Edge * RDKit::CIPLabeler::Configuration::findInternalEdge | ( | const std::vector< Edge * > & | edges,
|  | Atom * | f1,
|  | Atom * | f2 )
| protected

## ◆ getCarriers()

const std::vector< Atom * > & RDKit::CIPLabeler::Configuration::getCarriers | ( |  | ) | const

## ◆ getDigraph()

Digraph & RDKit::CIPLabeler::Configuration::getDigraph | ( |  | ) |

## ◆ getFoci()

const std::vector< Atom * > & RDKit::CIPLabeler::Configuration::getFoci | ( |  | ) | const

## ◆ getFocus()

Atom * RDKit::CIPLabeler::Configuration::getFocus | ( |  | ) | const

## ◆ hasPrimaryLabel()

virtual bool RDKit::CIPLabeler::Configuration::hasPrimaryLabel | ( |  | ) | const
| pure virtual

Implemented in RDKit::CIPLabeler::AtropisomerBond, RDKit::CIPLabeler::Sp2Bond, and RDKit::CIPLabeler::Tetrahedral.

## ◆ isDuplicateOrHydrogenEdge()

bool RDKit::CIPLabeler::Configuration::isDuplicateOrHydrogenEdge | ( | const Edge * | edge | ) |
| protected

## ◆ isInternalEdge()

bool RDKit::CIPLabeler::Configuration::isInternalEdge | ( | const Edge * | edge,
|  | Atom * | f1,
|  | Atom * | f2 )
| protected

## ◆ label() [1/2]

virtual Descriptor RDKit::CIPLabeler::Configuration::label | ( | const Rules & | comp | ) |
| pure virtual

Implemented in RDKit::CIPLabeler::AtropisomerBond, RDKit::CIPLabeler::Sp2Bond, and RDKit::CIPLabeler::Tetrahedral.

## ◆ label() [2/2]

virtual Descriptor RDKit::CIPLabeler::Configuration::label | ( | Node * | node,
|  | Digraph & | digraph,
|  | const Rules & | comp )
| virtual

Reimplemented in RDKit::CIPLabeler::AtropisomerBond, RDKit::CIPLabeler::Sp2Bond, and RDKit::CIPLabeler::Tetrahedral.

## ◆ parity4()

template<typename T>

static int RDKit::CIPLabeler::Configuration::parity4 | ( | const std::vector< T > & | trg,
|  | const std::vector< T > & | ref )
| inlinestatic

Definition at line 36 of file Configuration.h.

## ◆ removeDuplicatesAndHs()

void RDKit::CIPLabeler::Configuration::removeDuplicatesAndHs | ( | std::vector< Edge * > & | edges | ) |
| protected

## ◆ removeInternalEdges()

void RDKit::CIPLabeler::Configuration::removeInternalEdges | ( | std::vector< Edge * > & | edges,
|  | Atom * | f1,
|  | Atom * | f2 )
| protected

## ◆ resetPrimaryLabel()

virtual void RDKit::CIPLabeler::Configuration::resetPrimaryLabel | ( |  | ) | const
| pure virtual

Implemented in RDKit::CIPLabeler::AtropisomerBond, RDKit::CIPLabeler::Sp2Bond, and RDKit::CIPLabeler::Tetrahedral.

## ◆ setCarriers()

void RDKit::CIPLabeler::Configuration::setCarriers | ( | std::vector< Atom * > && | carriers | ) |
| protected

## ◆ setPrimaryLabel()

virtual void RDKit::CIPLabeler::Configuration::setPrimaryLabel | ( | Descriptor | desc | ) |
| pure virtual

Implemented in RDKit::CIPLabeler::AtropisomerBond, RDKit::CIPLabeler::Sp2Bond, and RDKit::CIPLabeler::Tetrahedral.

The documentation for this class was generated from the following file:

- Configuration.h